<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

$peticion='SGARecepcionPedido#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LISTAPROVEEDORESPENDIENTE#'.$_SESSION['empresa'].';'.$_SESSION['almacen'];
$_SESSION['proveedores']=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

//echo "<p>".$peticion."</p>";
//print_r($_SESSION['proveedores']);

if($_GET['cancelar']) {
	unset($_SESSION['proveedor']);
	$_SESSION['entrada']=array();
	$_SESSION['entradaDetalle']=array();
}
else {
	if($_POST['proveedor']) $numProveedor=$_POST['proveedor'];
	else $numProveedor=$_SESSION['proveedor']['Proveedor'];
}

//Recorremos cada vez el array de resultado del ws para recargar el listado de pedidos
foreach($_SESSION['proveedores'] as $proveedor) if($proveedor['Proveedor']==$numProveedor) $_SESSION['proveedor']=$proveedor;

//print_r($_SESSION['proveedor']);

?>
<h2>Recepcionar Productos</h2>
<?php
if(!$_SESSION['proveedor']['Proveedor']) {
	
	$_SESSION['entrada']=array();
	$_SESSION['entradaDetalle']=array();
	
	?>
	<form id="formularioAlmacen" name="formularioAlmacen" method="post" action="recepcionar-productos.php">
        <p>Proveedor:<br />
        <select name="proveedor" id="proveedor" class="campo" style="max-width:1000px">
        <option value="" selected >---</option>
        <?php
        foreach($_SESSION['proveedores'] as $proveedor) {
            ?><option value="<?php echo $proveedor['Proveedor']; ?>"><?php echo $proveedor['Nombre']; ?></option><?php
        }
        ?>
        </select>
        </p>
        <p><input type="submit" name="boton" id="boton" value="Comenzar Recepción" class="mostrarCargando boton"/></p>
        <div id="detallePedidosInicial"></div>  
    </form>
    
    <script>
	
		$(document).ready(function() {
		
			$('#proveedor').on("change",function(){
		
				$('#popupCargando').show();
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-detalle-pedido-inicial.php", { 'proveedor' : $('#proveedor').val() } )
					.done(function(data) {
						$('#popupCargando').hide();
						$('#detallePedidosInicial').html(data);
					});
			});
			
		});
	
	</script>
    
    <?php
    }
else {

	?>
    <?php include($rutaPhp.$rutaHtml.'/librerias/teclado.php'); ?>
    <?php include($rutaPhp.$rutaHtml.'/librerias/calculadora.php'); ?>

	<div id="popupListado" class="popup" style="display:none;overflow:scroll">
        <div class="popupContenidoScroll">
            <div id="detallePedidos"></div>
        </div>
	</div>

    <h2 style="max-width:1000px;margin:0 auto;"><?php echo $_SESSION['proveedor']['Nombre']; ?> <img id="botonPedido" src="<?php echo DIR_IMAGENES; ?>/pedido.png" style="margin-bottom:-8px;width:40px;cursor:pointer"/></h2>

    <form id="formularioCodigo" name="formularioCodigo" method="post" action="">
 		<p>Código EAN/DUN:<br />
        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCodigo" /><input name="codigo" type="text" class="campo" id="codigo" size="14" maxlength="14"/>
        <img id="botonBuscar" src="<?php echo DIR_IMAGENES; ?>/buscar.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCodigo" style="margin-left:-110px;"/></p>
 	</form>
	<form id="formularioBusqueda" name="formularioBusqueda" method="post" action="" style="display:none">
		<p>Buscar:<br />
		<input name="busqueda" type="text" class="campo" id="busqueda" size="14" maxlength="" value="<?php echo $_POST['busqueda']; ?>"/>
		<img id="botonCodigo" src="<?php echo DIR_IMAGENES; ?>/barcode.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
		<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarBusqueda" style="margin-left:-110px;"/>
		</p>
	</form>

	<form id="formularioRecepcion" name="formularioRecepcion" method="post" action="" style="display:none">
            	
		<h2></h2>
		<h3></h3>
                
		<input type="hidden" name="producto" id="producto" />
        <input type="hidden" name="descripcion" id="descripcion" />
        <input type="hidden" name="lineaPedido" id="lineaPedido" />
        <input type="hidden" name="detalle" id="detalle" />
        <input type="hidden" name="embalajePrimarioCaja" id="embalajePrimarioCaja" />
        <input type="hidden" name="sumaDetalle" id="sumaDetalle" />
                
        <p>Pedido: <input name="pedido" type="text" class="campo" id="pedido" size="10"/> <span class="etiquetaCantidad">Cantidad:</span> <input name="cantidad" type="text" class="campo cantidad" id="cantidad" size="10"/> <img id="cantidadOk" src="<?php echo DIR_IMAGENES; ?>/ok.png" style="display:none;width:40px;margin-right:-37px;margin-top:10px;"/></p>        
                
        <div id="verDetalle" style="width:1024px;margin:0 auto;overflow:hidden;display:none">
                
			<div style="width:500px;float:left;">
            	<div id="detalleRecepcion"></div>
            </div>
            
            <div style="width:500px;float:right;">
            
				<p><strong>Introducir detalle:</strong></p>
                    
                    <div class="recepcionar">
                        <p class="recepcionarEtiqueta">Lote:</p>
                        <p class="recepcionarCampo"><input name="lote" type="text" class="campo" id="lote" size="10" maxlength="" value="<?php echo $_POST['busqueda']; ?>"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarLote"/></p>
                    </div>
                    <div class="recepcionar">
                    	<p class="recepcionarEtiqueta etiquetaCantidad">Cantidad:</p>
                     	<p class="recepcionarCampo"><input name="cantidadDetalle" type="text" class="campo cantidad" id="cantidadDetalle" size="10" style="margin-right:-10px;"/></p>
                     	<input type="submit" name="botonDetalle" id="botonDetalle" value="Ok" class="boton" style="float:right"/>
                    </div>
			
            </div>
            
		</div>

		<p><input type="submit" name="botonBorrar" id="botonBorrar" value="Borrar" class="boton"/> <input type="submit" name="botonAceptar" id="botonAceptar" value="ACEPTAR" class="boton"/></p>
              
    </form>

    <p><input type="submit" name="botonCancelarCompletamente" id="botonCancelarCompletamente" value="Cancelar" class="boton"/> <?php if(count($_SESSION['entrada'])>0) { ?><input type="submit" name="botonAlbaran" id="botonAlbaran" value="FINALIZAR ALBARÁN" class="mostrarCargando boton"/><?php } ?></p>
    
<script>

	function borrar() {
	
		$('#codigo').val('');
		$('#busqueda').val('');
		$('#pedido').val('');
		$('#cantidad').val('');
		$('#lote').val('');
		$('#cantidadDetalle').val('');
		$('#detalle').val('');
		$('#embalajePrimarioCaja').val('');
		$('#formularioRecepcion').hide();
		$('#detalleRecepcion').html('');
		$('.etiquetaCantidad').html('Cantidad:');

	}

	function cargarPedidos(busqueda,embalajePrimario) {
	
		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-detalle-pedido.php", { 'busqueda' : busqueda, 'embalajePrimario' : embalajePrimario })
			.done(function(data) {
				$('#popupCargando').hide();
				$('#detallePedidos').html(data);
			});
			
		borrar();
	}
	
	

	$(document).ready(function() {
		
		
		$("#codigo").focus();
			
		cargarPedidos();
		
		$('#botonPedido').on("click",function(){
		
			$('#popupListado').show();
			
		});
		
		$('#tecladoCodigo').on("click",function(){
			
			$('#teclado').show();
			$('#valor').val( $('#codigo').val() );
			$('#valorOculto').val( $('#codigo').val() );
			$('#enter').attr('campoValor','codigo');
			$('#enter').attr('formulario','formularioCodigo');
			
		});
		
		$('#borrarCodigo').on("click",function(){
		
			$("#codigo").val('');
			$("#codigo").focus();
			
			cargarPedidos();
			
		});
		
		$('#busqueda').on("click",function(){
			
			$('#teclado').show();
			$('#valor').val( $('#busqueda').val() );
			$('#valorOculto').val( $('#busqueda').val() );
			$('#enter').attr('campoValor','busqueda');
			$('#enter').attr('formulario','formularioBusqueda');
			
		});
		
		$('#borrarBusqueda').on("click",function(){
		
			$("#busqueda").val('');
			$("#busqueda").focus();
			
			cargarPedidos();
			
		});
		
		$('#formularioCodigo').on("submit",function(e){
			
			e.preventDefault();
			
			if( $('#codigo').val()!='' ) {
				
				$('#popupCargando').show();
				$('#detallePedidos').html('');
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/leer-codigo-barras.php", { 'codigo' : $('#codigo').val()  })
				.done(function(data) {
					
					var datos=data.split('#');
					
					if( datos[0] ) {
						if(datos[1]=='DUN') cargarPedidos( datos[0], datos[2] );
						else cargarPedidos( datos[0] );
						
						$('#popupListado').show();
					}
					else {
						$('#popupCargando').hide();
						alert("ERROR: No se ha encontrado ningún producto relacionado con ese código.");
					}
	
				});
			}
			
		});
		
		$('#formularioBusqueda').on("submit",function(e){
			
			e.preventDefault();
			
			if( $('#busqueda').val()!='' ) {
			
				$('#detallePedidos').html('');
				cargarPedidos( $('#busqueda').val() );
				$('#popupListado').show();
			}
		});
		
		$('.cantidad').on("click",function(e) {
		
			e.preventDefault();
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
		
		});
		
		$('#lote').on("click",function(e){
			
			e.preventDefault();
			$('#teclado').show();
			$('#valor').val( $('#lote').val() );
			$('#valorOculto').val( $('#lote').val() );
			$('#enter').attr('campoValor','lote');
			
		});
		
		$('#borrarLote').on("click",function(){
		
			$("#lote").val('');
			$("#lote").focus();
			
		});
		
		$('#botonDetalle').on("click",function(e){
		
			e.preventDefault();
			
			if( $('#cantidad').val()=='' ) {
				alert("Por favor, introduce primero la cantidad total a recepcionar.");
				$('#cantidad').focus();
			}
			else {
			
				var sumaActual;
				if($('#sumaDetalle').val()!='') sumaActual=parseFloat($('#sumaDetalle').val())+parseFloat($('#cantidadDetalle').val());
				else sumaActual=$('#cantidadDetalle').val();
				
				if( $('#lote').val()=='' ) {
					alert("Por favor, especifica el lote.");
					$('#lote').focus();
				}
				else if( $('#cantidadDetalle').val()=='' || $('#cantidadDetalle').val()==0 ) {
					alert("Por favor, indica la cantidad para este lote.");
					$('#cantidadDetalle').focus();
				}
				else if( sumaActual > parseFloat($('#cantidad').val()) ) {
					alert("Error: La cantidad para este lote excede el total de producto indicada.");
					$('#cantidadDetalle').focus();
				}
				else {
					$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-gestionar-detalle.php", { 'lote' : $('#lote').val() , 'cantidad' : $('#cantidadDetalle').val()  })
					.done(function(data) {
						$('#detalleRecepcion').html(data);
						$('#lote').val('');
						$('#cantidadDetalle').val('');
						
						var posicion = $("#verDetalle").offset().top;
						$("html, body").animate({
							scrollTop: posicion
						}, 500); 

					});
				}
			}
		});
		
		$('#botonBuscar').on("click",function(){
		
			$('#formularioBusqueda').show();
			$('#busqueda').focus();
			$('#formularioCodigo').hide();
			
		});
		
		$('#botonCodigo').on("click",function(){
		
			$('#formularioCodigo').show();
			$('#codigo').focus();
			$('#formularioBusqueda').hide();
			
		});
		
		$('#botonBorrar').on("click",function(e){
		
			e.preventDefault();
			cargarPedidos();
			$('#formularioCodigo').show();
			
		});
		
		$('#botonAceptar').on("click",function(e){
		
			e.preventDefault();
			var correcto=false;
			
			if( $('#producto').val()=='' ) {
				alert('Por favor, selecciona un producto.');
			}
			else if( $('#pedido').val()=='' ) {
				alert('Por favor, especifica el número del pedido.');
				$('#pedido').focus();
			}
			else if( $('#cantidad').val()=='' ) {
				alert('Por favor, indica la cantidad recepcionada.');
				$('#cantidad').focus();
			}
			else if( $('#detalle').val()=='S' ) {
				if( $('#cantidad').val() != $('#sumaDetalle').val() ) alert('Error: La suma del detalle debe coincidir con la cantidad especificada.');
				else correcto=true;
			}
			else correcto=true;
			
			
			if(correcto) {
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-producto.php", { 'pedido' : $('#pedido').val() , 'lineaPedido' : $('#lineaPedido').val() , 'producto' : $('#producto').val() , 'descripcion' : $('#descripcion').val() , 'cantidad' : $('#cantidad').val() , 'embalajePrimarioCaja' : $('#embalajePrimarioCaja').val() })
					.done(function(data) {
						$('#popupCargando').show();
						window.location="recepcionar-productos.php";
					});
				
			}
			
		});
		
		$('#botonCancelarCompletamente').on("click",function(e){
		
			e.preventDefault();
			confirm('Atencion: Se va a cancelar y borrar todo lo introducido en este albarán.').done( function(){
				$('#popupCargando').show();
				window.location="recepcionar-productos.php?cancelar=si";
			});
		});
		
		$('#botonAlbaran').on("click",function(e){
		
			e.preventDefault();
			window.location="recepcionar-albaran.php";
			
		});
		
	});
	
	</script>
    
    <?php
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
